<?php
namespace AkTest\Task;

use Ak\Task\ConfigProvider;
use Ak\Test\AbstractTestCase as BaseAbstractTestCase;
use Ak\Test\Orm\ORMTestTrait;

/**
 * Class AbstractTestCase
 *
 * @package AkTest\Task
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/task
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    use ORMTestTrait;

    protected $providers = [
        \Ak\Form\ConfigProvider::class,
        ConfigProvider::class,
        TestConfigProvider::class,
    ];

    protected function setUp()
    {
        parent::setUp();
        $this->setUpOrm();
        $this->createSchema();
    }/** @noinspection PhpDocMissingThrowsInspection */

    /**
     * @param int $id
     * @param array|null $params
     */
    protected function insertTask(int $id, array $params = null)
    {
        $conn = $this->getConnection();
        /** @noinspection PhpUnhandledExceptionInspection */
        $conn->insert('task', [
            'id' => $id,
            'type' => 'task',
            'createdAt' => date('Y-m-d H:i:s'),
            'updatedAt' => date('Y-m-d H:i:s'),
            'name' => 'test',
            'params' => $params ? serialize($params) : null,
        ]);
    }
}