<?php
namespace AkTest\Task;

use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

final class TestConfigProvider extends ConfigAggregator
{
    public function __construct()
    {
        parent::__construct([
            \Ak\Db\ConfigProvider::class,
            \Ak\Orm\ConfigProvider::class,
            new ArrayProvider([
                'development' => true,

                'db' => [
                    'default_connection' => 'memory',

                    'connections' => [
                        'memory' => [
                            'driver' => 'pdo_sqlite',
                            'memory' => true,
                        ],

                        'default' => [
                            'driver' => 'pdo_mysql',
                            'user' => 'root',
                            'password' => 'password',
                            'dbname' => 'test',
                        ],
                    ],
                ],

                'orm' => [
                    'entity_paths' => [
                        'AkMock\Task\\' => __DIR__ . '/mock',
                    ],
                ],
            ]),
        ]);
    }

    public function __invoke()
    {
        return $this->getMergedConfig();
    }
}
